| OpenCV 4.3.0 Open Source Computer Vision

Classes | Public Member Functions | List of all members
cv::text::ERFilter Class Referenceabstract
Scene Text Detection and Recognition » Scene Text Detection

Base class for 1st and 2nd stages of Neumann and Matas scene text detection algorithm [174]. : More...

`#include <opencv2/text/erfilter.hpp>`

Inheritance diagram for cv::text::ERFilter:

## Classes
class | Callback
| Callback with the classifier is made a class. More...

## Public Member Functions
virtual int | getNumRejected () const =0
virtual void | run (InputArray image, std::vector< ERStat > &regions)=0
| The key method of ERFilter algorithm. More...
virtual void | setCallback (const Ptr< ERFilter::Callback > &cb)=0
| set/get methods to set the algorithm properties, More...
virtual void | setMaxArea (float maxArea)=0
virtual void | setMinArea (float minArea)=0
virtual void | setMinProbability (float minProbability)=0
virtual void | setMinProbabilityDiff (float minProbabilityDiff)=0
virtual void | setNonMaxSuppression (bool nonMaxSuppression)=0
virtual void | setThresholdDelta (int thresholdDelta)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Base class for 1st and 2nd stages of Neumann and Matas scene text detection algorithm [174]. :

Extracts the component tree (if needed) and filter the extremal regions (ER's) by using a given classifier.

## Member Function Documentation

## ◆ getNumRejected()

virtual int cv::text::ERFilter::getNumRejected | ( |  | ) | const
| pure virtual

## ◆ run()

virtual void cv::text::ERFilter::run | ( | InputArray | image,
|  | std::vector< ERStat > & | regions
| ) |  |
| pure virtual

The key method of ERFilter algorithm.

Takes image on input and returns the selected regions in a vector of ERStat only distinctive ERs which correspond to characters are selected by a sequential classifier

Parameters

  image | Single channel image CV_8UC1
  regions | Output for the 1st stage and Input/Output for the 2nd. The selected Extremal Regions are stored here.

Extracts the component tree (if needed) and filter the extremal regions (ER's) by using a given classifier.

## ◆ setCallback()

virtual void cv::text::ERFilter::setCallback | ( | const Ptr< ERFilter::Callback > & | cb | ) |
| pure virtual

set/get methods to set the algorithm properties,

## ◆ setMaxArea()

virtual void cv::text::ERFilter::setMaxArea | ( | float | maxArea | ) |
| pure virtual

## ◆ setMinArea()

virtual void cv::text::ERFilter::setMinArea | ( | float | minArea | ) |
| pure virtual

## ◆ setMinProbability()

virtual void cv::text::ERFilter::setMinProbability | ( | float | minProbability | ) |
| pure virtual

## ◆ setMinProbabilityDiff()

virtual void cv::text::ERFilter::setMinProbabilityDiff | ( | float | minProbabilityDiff | ) |
| pure virtual

## ◆ setNonMaxSuppression()

virtual void cv::text::ERFilter::setNonMaxSuppression | ( | bool | nonMaxSuppression | ) |
| pure virtual

## ◆ setThresholdDelta()

virtual void cv::text::ERFilter::setThresholdDelta | ( | int | thresholdDelta | ) |
| pure virtual

The documentation for this class was generated from the following file:

- opencv2/text/erfilter.hpp